%global momorel 1
%global unstable 1
%global kdever 4.2.85
%global kdelibsrel 1m
%global qtver 4.5.1
%global qtrel 1m
%global cmakever 2.6.4
%global cmakerel 1m
%global ftpdirver 3.9.91
%if 0%{?unstable}
%global sourcedir unstable/kdevelop/%{ftpdirver}/src
%else
%global sourcedir stable/kdevelop/%{ftpdirver}/src
%endif

%global kdevplatformver 0.9.91

Name: kdevplatform
Summary: KDE4 development platform
Version: %{kdevplatformver}
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: GPLv2+
URL: http://www.kdevelop.org/
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: qt-designer >= %{qtver}
Requires: kdebase >= %{kdever}-%{kdebaserel}
Requires: autoconf >= 2.58
Requires: automake >= 1.5
Requires: flex >= 2.5.4
Requires: kdbg >= 2.1.0-4m
Requires: make
Requires: perl >= 5.8.1
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: kdesdk-devel >= %{kdever}-%{kdesdkrel}
BuildPreReq: apr-devel >= 1.2.6
BuildPreReq: apr-util-devel >= 1.2.6
BuildPreReq: autoconf >= 2.58
BuildPreReq: automake
BuildPreReq: db4-devel >= 4.5.20-3m
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: libtool
BuildPreReq: subversion-devel >= 1.3.1

%description
KDE4 development platform

%package devel
Group:    Development/Libraries
Summary:  Header files for %{name}
Requires: %{name} = %{version}-%{release}
Requires: kdelibs-devel

%description devel
Header files for developing applications using %{name}.

%prep
%setup -q -n %{name}-%{version}
# c references
%build
mkdir -p %{_target_platform} 
pushd %{_target_platform}
%{cmake_kde4} \
        ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
/sbin/ldconfig

%postun devel
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING* ChangeLog INSTALL README TODO
%{_kde4_libdir}/lib*.so.*
%{_kde4_appsdir}/kdevappwizard/kdevappwizard.rc
%{_kde4_appsdir}/kdevappwizard/template_previews/*
%{_kde4_appsdir}/kdevcontextbrowser
%{_kde4_appsdir}/kdevcvs
%{_kde4_appsdir}/kdevfilemanager
%{_kde4_appsdir}/kdevgit
%{_kde4_appsdir}/kdevproblemreporter
%{_kde4_appsdir}/kdevprojectmanagerview
%{_kde4_appsdir}/kdevquickopen
%{_kde4_appsdir}/kdevsourceformatter
%{_kde4_appsdir}/kdevstandardoutputview
%{_kde4_iconsdir}/hicolor/22x22/actions/*
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/kde4/servicetypes/*.desktop

%files devel
%defattr(-,root,root)
%{_kde4_includedir}/%{name}
%{_kde4_libdir}/lib*.so
%{_kde4_libdir}/kde4/*
%{_kde4_libdir}/cmake/%{name}
%{_kde4_appsdir}/cmake/modules/*

%changelog
* Wed May 20 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.91-1m)
- initial build for Momonga Linux